import * as React from "react";
import type { Observable } from "@babylonjs/core/Misc/observable.js";
import type { PropertyChangedEvent } from "../../../propertyChangedEvent.js";
import type { LockObject } from "../../../tabs/propertyGrids/lockObject.js";
import type { RadioButton } from "@babylonjs/gui/2D/controls/radioButton.js";
interface IRadioButtonPropertyGridComponentProps {
    radioButtons: RadioButton[];
    lockObject: LockObject;
    onPropertyChangedObservable?: Observable<PropertyChangedEvent>;
}
export declare class RadioButtonPropertyGridComponent extends React.Component<IRadioButtonPropertyGridComponentProps> {
    constructor(props: IRadioButtonPropertyGridComponentProps);
    render(): import("react/jsx-runtime").JSX.Element;
}
export {};
